@extends('admin.layout.app')

@section('content')
    <div class="content-wrapper">

        <div class="row">
            <div class="col-12 col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        @if(isset($fundChart))
                        <form class="forms-sample" action="{{ route('admin.updateFundCharts', $fundChart->id) }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <h4 class="card-title">Edit Fund Chart</h4>
                                    <div class="slider1">

                                        <!--<div class="form-group">-->
                                        <!--    <label for="exampleInputUsername1">Banner</label>-->
                                        <!--    <input type="file" class="form-control" name="banner" id="exampleInputUsername1">-->
                                        <!--</div>-->
                                        
                                        <div class="form-group">
                                            <div class="number-box">
                                                <p class="f-text">Sector</p>
                                                <select name="sector_id" id="" class="lev form-control required" required>
                                                    <option value="" disabled>Select Sector</option>
                                                    @foreach($sectors as $sector)
                                                    <option value="{{ $sector->id }}" {{ $fundChart->sector_id == $sector->id ? 'selected' : '' }}>{{ $sector->title }}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Banner Heading</label>
                                            <input type="text" class="form-control" name="banner_heading" id="exampleInputUsername1" value="{{ $fundChart->banner_heading }}">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Banner Description</label>
                                            <input type="text" class="form-control" name="banner_desc" id="exampleInputUsername1" value="{{ $fundChart->banner_desc }}">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Sheet Id</label>
                                            <input type="text" class="form-control" name="sheet_id" id="exampleInputUsername1" value="{{ $fundChart->sheet_id }}">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Sheet Name</label>
                                            <input type="text" class="form-control" name="sheet_name" id="exampleInputUsername1" value="{{ $fundChart->sheet_name }}">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Sources</label>
                                            <input type="text" class="form-control" name="sources" id="exampleInputUsername1" value="{{ $fundChart->sources }}">
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Additional Detail</label>
                                            <textarea type="text" class="form-control" name="additional_detail" id="summernote">{{ $fundChart->additional_detail }}</textarea>
                                        </div>
                                        
                                        <div class="form-group">
                                            <label for="exampleInputUsername1">Description</label>
                                            <textarea type="text" class="form-control" name="description" id="summernote">{{ $fundChart->description }}</textarea>
                                        </div>
                                        
                                        <div class="form-group">
                                            <div class="number-box">
                                                <p class="f-text">Status</p>
                                                <select name="status" id="" class="lev form-control required" required>
                                                    <option value="" disabled>Select Status</option>
                                                    <option value="active" {{ $fundChart->status == 'active' ? 'selected' : '' }}>Active</option>
                                                    <option value="deactive" {{ $fundChart->status == 'deactive' ? 'selected' : '' }}>Deactive</option>
                                                </select>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <button type="submit" class="btn w-100 btn-primary mt-3">Update</button>
                                </div>
                            </div>

                        </form>
                        @endif
                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection
